*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Noto Serif JP", serif;
  margin: 0;
  padding: 0;
  line-height: 1.5;
  letter-spacing: 0.08em;
  /* max-width: 1920px; */
  min-width: 300px;
  margin: auto;
  @media (max-width: 768px) {
    letter-spacing: 0.05em;
  }
  @media (max-width: 480px) {
    letter-spacing: 0.02em;
  }
}
body.no-scroll {
  overflow: hidden;
  height: 100vh;
  position: fixed;
  width: 100%;
}
img {
  width: 100%;
  height: auto;
  display: block;
}

/****************色の管理**************************/
:root {
  --dept-cello: #8b365b;
  --dept-piano: #c53364;
  --dept-violin: #840e10;
  --color-accent: var(--dept-piano); /*開催年のものに差し替え*/

  --dept-cello-back: #ede6ef;
  --dept-piano-back: #f9ebed;
  --dept-violin-back: #e6b0b1;
  --color-accent-back: var(--dept-piano-back); /*開催年のものに差し替え*/
}

:root {
  --cello-header: linear-gradient(
    to right,
    #000000 0%,
    #180a0f 10%,
    #47202e 31%,
    #6c3147 51%,
    #873d58 70%,
    #974463 87%,
    #9d4767 100%
  );
  --piano-header: linear-gradient(
    to right,
    #000000 0%,
    #16090d 10%,
    #740033 31%,
    #aa064a 51%,
    #d60a5d 70%,
    #ae064c 87%,
    #740033 100%
  );
  /*ヴァイリン未着手*/
}

:root {
  --cello-gradation: linear-gradient(
    to right,
    #33001a 0%,
    #8b365b 15%,
    #5f1b3b 100%,
    #33001a 100%
  );
  --piano-gradation: linear-gradient(
    to right,
    #740033 0%,
    #aa064a 15%,
    #c90958 30%,
    #d60a5d 50%,
    #cd0959 70%,
    #ae064c 85%,
    #740033 100%
  );
  /*ヴァイリン未着手*/
}
.main::before {
  content: "";
  position: fixed;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.4);
  z-index: 998;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
}
/* SPメニュー開いたときだけ表示 */
.main.menu-open::before {
  opacity: 1;
  pointer-events: auto;
}
.section-container {
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
  padding: 0 5% 0 10%;
  @media (max-width: 768px) {
    width: 86%;
    padding: 0;
  }
  @media (max-width: 480px) {
    width: 92%;
  }
}

.main-layout {
  display: flex;
  flex-direction: row-reverse;
  margin: 0 auto;
}
.side-menu-wrapper {
  width: 26%;
  max-width: 370px;
  @media (max-width: 1024px) {
    width: 0px;
    min-width: 0px;
  }
  @media (max-width: 480px) {
    max-width: 500px;
  }
}
.main-content {
  flex: 1;
  max-width: 1440px;
  margin: 0 auto;
}

.adobe-garamond-400 {
  font-family: "adobe-garamond-pro", serif;
  font-weight: 400;
}
.adobe-garamond-600 {
  font-family: "adobe-garamond-pro", serif;
  font-weight: 600;
}
.adobe-garamond-700 {
  font-family: "adobe-garamond-pro", serif;
  font-weight: 700;
}
.text-body-300 {
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 300;
  font-size: clamp(13px, 3vw, 16px);
  color: #4d4d4d;
  line-height: 1.8;
  @media (max-width: 768px) {
    line-height: 1.6;
  }
}
.text-body-400 {
  position: relative;
  padding-left: 1em;
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-size: clamp(13px, 3vw, 16px);
  color: #4d4d4d;
  line-height: 1.8;
  @media (max-width: 768px) {
    line-height: 1.6;
  }
  @media (max-width: 480px) {
    font-weight: 500;
  }
}
/* TOPページ以外　ページタイトル装飾用 */
body:not(.home) .main-content {
  position: relative;
  overflow: hidden;
}
.page-title-decoration {
  position: absolute;
  top: 0;
  left: 0;
  width: 180px;
  z-index: -1;
  @media (max-width: 1280px) {
    width: 150px;
  }
  @media (max-width: 768px) {
    width: 120px;
  }
  @media (max-width: 480px) {
    /* top: -10px; */
    width: 100px;

    left: -22px;
  }
}
.page-title {
  font-weight: 300;
  font-size: 57px;
  color: var(--color-accent);
  position: relative;
  line-height: 1.6;
  padding-top: 122px;
  @media (max-width: 1280px) {
    font-size: 47px;
    padding-top: 110px;
  }
  @media (max-width: 768px) {
    font-size: 42px;
    padding: 68px 0 0 50px;
    font-weight: 400;
  }
  @media (max-width: 480px) {
    font-size: 30px;
    padding: 33px 0 0 40px;
  }
}
body.page-about .page-title,
body.page-workshop .page-title,
body.page-volunteer .page-title,
body.page-news .page-title,
body.page-contact .page-title,
body.page-thanks .page-title,
body.single-news .page-title,
body.page-privacypolicy .page-title,
body.page-template .page-title {
  color: #76644a;
}

.page-title::after {
  content: "";
  position: absolute;
  left: -19.5%;
  bottom: 0;
  width: 120%;
  height: 1px;
  z-index: -1;
  background-color: var(--color-accent);
}
body.page-about .page-title::after,
body.page-workshop .page-title::after,
body.page-volunteer .page-title::after,
body.page-news .page-title::after,
body.page-contact .page-title::after,
body.page-thanks .page-title::after,
body.single-news .page-title::after,
body.page-privacypolicy .page-title::after,
body.page-template .page-title::after {
  background-color: #76644a;
}
.section-title {
  font-size: clamp(20px, 4vw, 32px);
  color: #666666;
  padding: 40px 0;
  margin-top: 30px;
  @media (max-width: 480px) {
    letter-spacing: -2px !important;
  }
}
.section-subtitle {
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 500;
  font-size: clamp(16px, 3vw, 20px);
  color: var(--color-accent);
  padding: 40px 0 15px;
  @media (max-width: 480px) {
    padding: 30px 0 10px;
  }
}

/* ■マーク */
.marker-square {
  position: absolute;
  left: 0;
  top: 0.6em;
  width: 0.7em;
  height: 0.7em;
  background-color: #333;
  @media (max-width: 768px) {
    top: 0.5em;
  }
}

.text-indent {
  padding-left: 1em;
}

/* 20260205事務局追加 */
.section-container.gl > .text-indent {
  padding-top: 8px;
}
@media (max-width: 480px) {
  .text-indent-sp {
    padding-left: 1em;
  }
}

@media (max-width: 768px) {
  .outdent {
    display: block;
    margin-left: -0.5em;
  }
}

.pt-8 {
  padding-top: 8px;
}

.pt-20 {
  padding-top: 20px;
}
.pt-30 {
  padding-top: 30px;
}
.pt-40 {
  padding-top: 40px;
}

.mt-20 {
  margin-top: 20px;
}

.mt-40 {
  margin-top: 40px;
}

.hover {
  transition: opacity 0.3s ease;
}
.hover:hover {
  opacity: 0.7;
}

.accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease;
}

.inline-block {
  display: inline-block;
}

.line-height {
  display: block;
  line-height: 1.3;
}
.hidden {
  display: none;
}
.nowrap {
  white-space: nowrap;
}

.lg-block {
  display: none;
}
.lg-none {
  display: block;
}

@media (min-width: 1024px) {
  .lg-block {
    display: block;
  }
  .lg-none {
    display: none;
  }
}
.md-block {
  display: none;
}
.md-none {
  display: block;
}

@media (min-width: 768px) {
  .md-block {
    display: block;
  }
  .md-none {
    display: none;
  }
}
.sp-block {
  display: none;
  @media (max-width: 480px) {
    display: block;
  }
}
.sp-none {
  display: block;
  @media (max-width: 480px) {
    display: none;
  }
}

.organization-table {
  width: 100%;
  letter-spacing: 0.02em;
  line-height: 2;
  margin-left: 1em;
  @media (max-width: 768px) {
    line-height: 1.5;
  }
}
.organization-table .table-item {
  width: 100%;
  display: flex;
  @media (max-width: 768px) {
    flex-direction: column;
    padding-bottom: 10px;
  }
}
.organization-table .table-detail {
  display: flex;
  width: 100%;
}
.organization-table .table-item .table-label {
  width: 40%; /* 役職 */
  min-width: 220px;
  @media (max-width: 480px) {
    min-width: 0px;
    width: 100%;
  }
}
.organization-table .table-item .table-detail div:nth-child(1) {
  width: 26%; /* 氏名 */ /* 22% */ /* kimura */
  min-width: 100px;
  @media (max-width: 480px) {
    min-width: 0px;
  }
}
.organization-table .table-item .table-detail div:nth-child(2) {
  flex: 1;
  padding-right: 2em; /* kimura */
}

.homepage-link {
  font-family: "Noto Sans JP", sans-serif;
  font-size: 15px;
  font-weight: 500;
  border: 2px solid #b47c94;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--color-accent);
  padding: 5px 0;
  margin-top: 20px;
  @media (max-width: 480px) {
    font-size: 13px;
  }
}

.section-links {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  @media (max-width: 768px) {
    grid-template-columns: repeat(2, 1fr);
  }
}

.section-links.first {
  padding-top: 50px;
}
.section-links.second {
  padding: 30px 0 40px;
}
@media (max-width: 1280px) {
  .section-links {
    gap: 15px;
  }
  .section-links.second {
    padding: 15px 0 40px;
  }
}
@media (max-width: 480px) {
  .section-links {
    gap: 10px;
  }
  .section-links.second {
    padding: 10px 0 40px;
  }
}
.link-item {
  position: relative;
  /* aspect-ratio: 278 / 196; */
  aspect-ratio: 278 / 150;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  overflow: hidden;
}
.link-item::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0);
  transition: background 0.3s ease;
  z-index: 0;
}
.link-item:hover::after {
  background: rgba(255, 255, 255, 0.3);
}
.link-inner {
  position: relative;
  z-index: 1;
  display: block;
  width: 100%;
  height: 100%;
  color: #ffffff;
  text-decoration: none;
}

:root {
  --bg-cello: url("./images/top/link-bg-cello.png");
  --bg-piano: url("./images/top/link-bg-piano.png");
  --bg-violin: url("./images/top/link-bg-violin.png");
}

/*開催年の部門 topのリンクボタン背景 */
.bg-purple-red {
  background-image: var(--bg-piano);
}
.bg-gold {
  background-image: url("./images/top/link-bg-gold.png");
}
.bg-cello {
  background-image: var(--bg-cello);
}
.bg-piano {
  background-image: var(--bg-piano);
}
.bg-violin {
  background-image: var(--bg-violin);
}
.link-inner {
  width: 100%;
  height: 100%;
  color: #ffffff;
  display: block;
  position: relative;
}
.link-heading {
  font-size: clamp(11px, 1.4vw, 16px);
  position: absolute;
  top: 10%;
  /* left: 50%;
  transform: translateX(-50%); */
  text-align: center;
  display: block;
  width: 100%;
}
.link-title {
  font-size: clamp(18px, 1.45vw, 26px);
  font-weight: 500;
  position: absolute;
  top: 54%;
  transform: translateY(-50%);
  text-align: center;
  display: block;
  width: 100%;
  line-height: 1.05;
  @media (max-width: 480px) {
    line-height: 1.3;
    font-size: 13px;
  }
  @media (max-width: 375px) {
    font-size: 12px;
  }
}
.section-links.second .link-title {
  top: 50%;
}

.news-list {
  margin: 80px 0 20px;
  @media (max-width: 768px) {
    margin: 50px 0 20px;
  }
  @media (max-width: 480px) {
    margin: 30px 0 20px;
  }
}
.news-item:first-child {
  border-top: 1px solid #cccccc;
}
.news-item {
  display: flex;
  align-items: center;
  gap: 30px;
  padding: 15px 50px; /* kimura */
  border-bottom: 1px solid #cccccc;
  color: #666666;
  @media (max-width: 768px) {
    flex-direction: column;
    gap: 7px;
    align-items: flex-start;
    padding: 30px 0;
  }
}
.news-item p {
  font-size: 14px;
}

/* プロフィール表示切り換え */
.accordion-toggle {
  font-family: "Noto Sans JP", sans-serif;
  font-size: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 14px;
  background: none;
  border: none;
  padding: 15px 0;
  color: #333;
  font-size: 16px;
  font-family: inherit;
  cursor: pointer;
  width: 100%;
  margin: 0 auto;
}
.hidden {
  display: none !important;
}
.accordion-toggle.pc {
  display: flex;
  @media (max-width: 640px) {
    display: none;
  }
}
.accordion-toggle.sp {
  display: none;
  @media (max-width: 640px) {
    display: flex;
  }
}
.accordion-toggle .line {
  flex: 1;
  height: 1px;
  background: #999;
}
.accordion-toggle .label {
  white-space: nowrap;
  display: flex;
  align-items: center;
  gap: 6px;
}
.accordion-toggle .arrow {
  display: inline-block;
  transition: transform 0.3s ease;
}

.accordion-toggle .arrow {
  display: inline-block;
  transition: transform 0.3s ease;
  transform: rotate(0deg); /* 初期状態で閉じている想定 */
}

.accordion-toggle .arrow.opened {
  transform: rotate(180deg); /* 開いたときに回転 */
}

.profile {
  font-family: "Noto Sans JP", sans-serif;
  flex: 1;
  color: #4d4d4d;
  font-weight: 300;
  font-size: 13px;
  letter-spacing: 0.02em;
  line-height: 1.6;

  @media (max-width: 640px) {
    max-height: 0;
    overflow: hidden;
    transition: max-height 1s ease;
  }
}
@media (max-width: 640px) {
  .profile p {
    padding-top: 20px;
  }
}

@media (min-width: 641px) {
  .profile-inner {
    max-height: 300px;
    overflow: hidden;
    transition: max-height 1s ease;
  }
}

.gl .font-600 {
  font-weight: 600;
}

.gl ul {
  padding-top: 0.5em;
}

.gl ul li {
  list-style-type: disc;
  margin-left: 1em;
}

.gl ul li::marker {
  font-size: 0.5em;
}

.gl table tbody {
  width: 100%;
  border-collapse: collapse;
  border: solid 0.5px #000;
}

.gl table tbody tr td {
  padding: 0.5em 1em;
  border: 1px solid #c59aad;
}

/* 事務局追加 */
/*20250618*/
.news-layout {
  font-weight: 300;
  font-size: clamp(13px, 3vw, 16px);
  color: #4d4d4d;
  padding: 1em 0;
}
.breaking_news {
  width: 100%;
  border-collapse: collapse;
}

.breaking_news th,
td {
  text-align: left;
  padding: 8px 12px;
  border-bottom: 1px solid #ccc;
}

.breaking_news thead {
  background-color: #f2f2f2;
}

.breaking_news tbody tr:hover {
  background-color: #f9f9f9;
}
